custom_field_values are not reloaded on #reload

2013-02-10 18:04 - Thomas Kohler

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 2.3.0   

Resolution: Fixed Affected version:  

Description

Sometimes this method gives an empty array but there are some custom field values in my case for "a_issue". A workaround for that

is to delete "@custom_field_values" before call the method like this:

a_issue.reset_custom_values!

a_issue.save_custom_field_values

Associated revisions

Revision 11349 - 2013-02-11 18:38 - Jean-Philippe Lang

Fixed that custom_field_values are not reloaded on #reload (#13119).

History

#1 - 2013-02-10 18:13 - Jean-Philippe Lang

Can you provide a failing test?

#2 - 2013-02-10 21:09 - Thomas Kohler

- File tc_redmine_defects.rb added

I hope this helps. Be aware I'm an ruby beginner ;o}

#3 - 2013-02-11 18:42 - Jean-Philippe Lang

- Subject changed from "custom_field_values" of "acts_as_customizable.rb" unreliable? to custom_field_values are not reloaded on #reload

- Category changed from Custom fields to Code cleanup/refactoring

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.3.0

- Resolution set to Fixed

r11349 makes your tests pass. #reload now reloads custom_field_values which is needed when you create a custom_field after the issue like in your

test.

#4 - 2013-02-11 22:49 - Thomas Kohler

Thank you very much - this fix the problem for me.
